git.net

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Java 9 build


Hi all,

Is the current Camel master supposed to build with Java 9? I get some
failures in camel-spring with Java 9.0.4 along the lines of:

[ERROR]
testInvokeServiceWithMessageHeader(org.apache.camel.spring.produce.ProduceTest)
Time elapsed: 0 s  <<< ERROR!
java.lang.IllegalStateException: Failed to load ApplicationContext
Caused by:
org.springframework.beans.factory.xml.XmlBeanDefinitionStoreException: Line
1 in XML document from class path resource
[org/apache/camel/spring/produce/ProduceTest-context.xml] is invalid;
nested exception is org.xml.sax.SAXParseException; systemId:
http://camel.apache.org/schema/spring/camel-spring.xsd; lineNumber: 1;
columnNumber: 242; s4s-elt-schema-ns: The namespace of element 'schema'
must be from the schema namespace, 'http://www.w3.org/2001/XMLSchema'.
Caused by: org.xml.sax.SAXParseException: s4s-elt-schema-ns: The namespace
of element 'schema' must be from the schema namespace, '
http://www.w3.org/2001/XMLSchema'.

Colm.

-- 
Colm O hEigeartaigh

Talend Community Coder
http://coders.talend.com